commit:     d7aab918caf0a3dc9e599a8407df20df8db38d4d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 26 19:16:40 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 26 19:18:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7aab918

sci-biology/ariadne: Modernise to EAPI 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-biology/ariadne/ariadne-1.3-r3.ebuild        | 47 ++++++++++++++++++++++++
 sci-biology/ariadne/files/ariadne-1.3-gcc4.patch |  4 +-
 2 files changed, 49 insertions(+), 2 deletions(-)

diff --git a/sci-biology/ariadne/ariadne-1.3-r3.ebuild 
b/sci-biology/ariadne/ariadne-1.3-r3.ebuild
new file mode 100644
index 0000000000..8be74e1353
--- /dev/null
+++ b/sci-biology/ariadne/ariadne-1.3-r3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Protein sequences and profiles comparison"
+HOMEPAGE="http://www.well.ox.ac.uk/ariadne/";
+SRC_URI="http://www.well.ox.ac.uk/${PN}/${P}.tar.Z";
+
+LICENSE="ARIADNE"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+DEPEND=">=sci-biology/ncbi-tools-0.20041020-r1"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/SRC-${PV}
+
+PATCHES=(
+       "${FILESDIR}"/${P}-gcc4.patch
+       "${FILESDIR}"/${P}-implicits.patch
+)
+
+src_prepare() {
+       default
+       sed -i -e "s/\$(CFLAGS)/\$(LDFLAGS) &/" Makefile || die #359045
+       sed -e "s/blosum62/BLOSUM62/" -i prospero.c || die
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" OPTIMISE="${CFLAGS}"
+}
+
+src_install() {
+       dobin Linux/{ariadne,prospero}
+
+       use static-libs && dolib.a Linux/libseq.a
+
+       insinto /usr/include/${PN}
+       doins Include/*.h
+
+       einstalldocs
+}

diff --git a/sci-biology/ariadne/files/ariadne-1.3-gcc4.patch 
b/sci-biology/ariadne/files/ariadne-1.3-gcc4.patch
index 0192efd4db..8bda75cb4f 100644
--- a/sci-biology/ariadne/files/ariadne-1.3-gcc4.patch
+++ b/sci-biology/ariadne/files/ariadne-1.3-gcc4.patch
@@ -1,5 +1,5 @@
---- cl.c.old   2006-09-12 17:13:02.000000000 -0400
-+++ cl.c       2006-09-12 17:13:34.000000000 -0400
+--- a/cl.c
++++ b/cl.c
 @@ -658,6 +658,7 @@
        fclose(fp);
        if ( ! stat( filename, &buf ) )

Reply via email to